Pistis
API referenceSessions

List your sessions

GET
/sessions

Oldest first, a page at a time. Filter by label with meta.<key>=<value> (every one given must match).

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Query Parameters

ended?string

1 only ended, 0 only open

Value in"1""0""true""false"
limit?integer
Range1 <= value
after?string

The next of the previous page

shared?string

1: sessions shared with you

all?string

1: everyone's (admins)

Response Body

A page of sessions

application/json
  1. response
sessions*array<>
next?string

Pass as after for the next page

Example Request
curl -X GET 'http://127.0.0.1:7777/sessions'
Example Response
{  "sessions": [    {      "sessionId": "string",      "requestId": "string",      "principal": "string",      "meta": {        "property1": "string",        "property2": "string"      },      "skills": {        "property1": "string",        "property2": "string"      },      "createdAt": 0,      "endedAt": 0,      "model": {        "id": "string",        "thinking": "off"      },      "parent": {        "kind": "branch",        "sessionId": "string",        "atSeq": 0      }    }  ],  "next": "string"}